package com.ruoyi.ems.mapper;

import com.ruoyi.ems.domain.EmissionFactor;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 排放因子维Mapper接口
 *
 * @author ruoyi
 * @date 2024-07-10
 */
public interface EmissionFactorMapper {
    /**
     * 查询排放因子维
     *
     * @param id 排放因子维主键
     * @return 排放因子维
     */
    EmissionFactor selectEmissionFactorById(Long id);

    EmissionFactor selectByRegion(@Param("regionCode") String regionCode, @Param("factorType") int factorType);

    /**
     * 查询排放因子维列表
     *
     * @param emissionFactor 排放因子维
     * @return 排放因子维集合
     */
    List<EmissionFactor> selectEmissionFactorList(EmissionFactor emissionFactor);

    /**
     * 新增排放因子维
     *
     * @param emissionFactor 排放因子维
     * @return 结果
     */
    int insertEmissionFactor(EmissionFactor emissionFactor);

    /**
     * 修改排放因子维
     *
     * @param emissionFactor 排放因子维
     * @return 结果
     */
    int updateEmissionFactor(EmissionFactor emissionFactor);

    /**
     * 删除排放因子维
     *
     * @param id 排放因子维主键
     * @return 结果
     */
    int deleteEmissionFactorById(Long id);

    /**
     * 批量删除排放因子维
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteEmissionFactorByIds(Long[] ids);
}
